> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a snapshot

> Captures the current Y.js state of a document as a restorable snapshot.

Documents are capped at 100 snapshots.

Accepts an optional `name` and initial `comments`.

Returns the created snapshot including its `_id` and metadata.



## OpenAPI

````yaml post /snapshot
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /snapshot:
    post:
      tags:
        - Snapshots
      summary: Create a snapshot
      description: |-
        Captures the current Y.js state of a document as a restorable snapshot.

        Documents are capped at 100 snapshots.

        Accepts an optional `name` and initial `comments`.

        Returns the created snapshot including its `_id` and metadata.
      operationId: createSnapshot
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                documentId:
                  type: string
                  minLength: 1
                name:
                  type: string
                comments:
                  type: array
                  items:
                    type: object
                    properties:
                      _id:
                        type: string
                      userId:
                        type: string
                      comment:
                        type: string
                      createdAt:
                        type: number
                    required:
                      - _id
                      - userId
                      - comment
                      - createdAt
              required:
                - documentId
      responses:
        '201':
          description: 201 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      documentId:
                        type: string
                      state: {}
                      name:
                        type: string
                      description:
                        type: string
                      comments:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            userId:
                              type: string
                            comment:
                              type: string
                            createdAt:
                              type: number
                          required:
                            - _id
                            - userId
                            - comment
                            - createdAt
                      isAiManaged:
                        type: boolean
                        example: false
                      createdBy:
                        type: string
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                    required:
                      - _id
                      - documentId
                      - createdAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````